################################################################################
# Docker                                                                       #
################################################################################
# DEFAULT: ./db
# NOTE: Use `.` as <project-root-dir>
# HOST_DB_DIR=

# Example: 999
# HINT: Use this bash command `getent group docker | cut -d: -f3`
HOST_DOCKER_GID=

# Example: 1000
# HINT: Use this bash command `id -g`
HOST_GID=

# DEFAULT: ./mq
# NOTE: Use `.` as <project-root-dir>
# HOST_MQ_DIR=

# DEFAULT: ./nopaqued.log
# NOTES: Use `.` as <project-root-dir>,
#        This file must be present on container startup
# HOST_NOPAQUE_DAEMON_LOG_FILE=

# DEFAULT: ./nopaque.log
# NOTES: Use `.` as <project-root-dir>,
#        This file must be present on container startup
# HOST_NOPAQUE_LOG_FILE=

# Example: 1000
# HINT: Use this bash command `id -u`
HOST_UID=


################################################################################
# Database (only PostgreSQL)                                                   #
################################################################################
NOPAQUE_DB_HOST=

NOPAQUE_DB_NAME=

NOPAQUE_DB_PASSWORD=

# DEFAULT: 5432
# NOPAQUE_DB_PORT=

NOPAQUE_DB_USERNAME=


################################################################################
# SMTP                                                                         #
################################################################################
# EXAMPLE: nopaque Admin <nopaque@example.com>
NOPAQUE_SMTP_DEFAULT_SENDER=

NOPAQUE_SMTP_PASSWORD=

# EXAMPLE: smtp.example.com
NOPAQUE_SMTP_SERVER=

# EXAMPLE: 587
NOPAQUE_SMTP_PORT=

# DEFAULT: False
# Choose one: False, True
# NOPAQUE_SMTP_USE_SSL=

# DEFAULT: False
# Choose one: False, True
# NOPAQUE_SMTP_USE_TLS=

# EXAMPLE: nopaque@example.com
NOPAQUE_SMTP_USERNAME=


################################################################################
# General                                                                      #
################################################################################
# Example: admin.nopaque@example.com
NOPAQUE_ADMIN_EMAIL_ADRESS=

# Example: contact.nopaque@example.com
NOPAQUE_CONTACT_EMAIL_ADRESS=

# DEFAULT: /mnt/nopaque
# NOTE: This must be a network share and it must be available on all Docker Swarm nodes
# NOPAQUE_DATA_DIR=

# DEFAULT: False
# Choose one: False, True
# NOPAQUE_DEBUG=

# DEFAULT: localhost
# NOPAQUE_DOMAIN=

# DEFAULT: 0
# NOPAQUE_NUM_PROXIES=

# DEFAULT: http
# Choose one: http, https
# NOPAQUE_PROTOCOL=

# DEFAULT: True
# Choose one: False, True
# NOPAQUE_REMEMBER_COOKIE_HTTPONLY=

# DEFAULT: False
# Choose one: False, True
# HINT: Set to true if you redirect http to https
# NOPAQUE_REMEMBER_COOKIE_SECURE=

# DEFAULT: hard to guess string
# HINT: Use this bash command `python -c "import uuid; print(uuid.uuid4().hex)"`
# NOPAQUE_SECRET_KEY=

# DEFAULT: False
# Choose one: False, True
# HINT: Set to true if you redirect http to https
# NOPAQUE_SESSION_COOKIE_SECURE=


################################################################################
# Logging                                                                      #
################################################################################
# DEFAULT: <nopaqued-root-dir>/nopaqued.log ~ /home/nopaqued/nopaqued.log
# NOTE: Use `.` as <nopaqued-root-dir>
# NOPAQUE_DAEMON_LOG_FILE=

# DEFAULT: %Y-%m-%d %H:%M:%S
# NOPAQUE_LOG_DATE_FORMAT=

# DEFAULT: <nopaque-root-dir>/NOPAQUE.log ~ /home/NOPAQUE/NOPAQUE.log
# NOTE: Use `.` as <nopaque-root-dir>
# NOPAQUE_LOG_FILE=

# DEFAULT: [%(asctime)s] %(levelname)s in %(pathname)s (function: %(funcName)s, line: %(lineno)d): %(message)s
# NOPAQUE_LOG_FORMAT=

# DEFAULT: ERROR
# Choose one: CRITICAL, ERROR, WARNING, INFO, DEBUG
# NOPAQUE_LOG_LEVEL=


################################################################################
# Message queue                                                                #
################################################################################
NOPAQUE_MQ_HOST=

# EXAMPLE: 6379
NOPAQUE_MQ_PORT=

# Choose one of the supported types by Flask-SocketIO
NOPAQUE_MQ_TYPE=
